<?php
$url = isset($_GET['url']) ? $_GET['url'] : '';
$segments = explode('/', $url);
$id = get_id($segments[3]);
$result = $db->table('posts')->where('id', '=', $id)->get();

$delete = $db->table('posts')->where('lang_ref_id','=', $result['data'][0]['lang_ref_id'])->delete();
if($delete):
    $_SESSION['formSuccess'] = true;
    $_SESSION['success_message'] = lang('form_success_delete_message', [], 'Seçilen Kayıt Başarıyla Silindi!');
    m_redirect(ADMIN_URL.'/menu/lists');
else:
    $_SESSION['formSuccess'] = false;
    $_SESSION['error_message'] = lang('form_error_message', [], 'Değişiklikler Kaydedilirken Bir Sorun Yaşandı!');
endif;